import request from '@/utils/request'

// 获得控货分页
export function getCargoControlOrderPage(params){
    return request({
      url:'ecw/order-cargo-control/cargo/control/order',
      method:'get',
      params
    })
}

// 发送手机验证码
export function sendSmsCode(data){
    return request({
      url: '/ecw/order-cargo-control/send-sms-code',
      method: 'post',
      data
    })
}

// 创建订单控货人信息
export function create(data){
    return request({
      url: '/ecw/order-cargo-control/create',
      method: 'post',
      data
    })
}

// 创建订单控货人放货记录
export function createPick(data){
  return request({
    url: '/ecw/order-cargo-control-pick/create',
    method: 'post',
    data
  })
}

//获得控货订单放货编辑详情
export function getRleaseInfo(orderId){
  return request({
    url:'/ecw/order-cargo-control/release/info/' + orderId,
    method:'get'
  })
}